#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
badhost.gov [127.0.0.0]: flags=[NET]
badhost.gov [192.168.244.244]: flags=
badhost.gov [192.168.244.244]: flags=[FOR]
badhost.gov [<nil>]: flags=[MMX]
EOF
cd ..; $PROG \
	-Dconnect -X"badhost.gov, 192.168.244.244" \
	> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "	"$0:"	"OK
	rm $TEMPPAT $TEMPOUT
	exit 0
fi
echo "	"$0:"	"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
exit 1
