#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
db: /foo/bar/foo/bar.db: No such file or directory
db: /tmp/slow1.db: No such file or directory
db: /tmp/slow1.db: successfully opened
db: /tmp/slow2.db: successfully opened
1.2.3.4: successful write
1.2.3.4: 02/07/2009.02:46:40 er=1234,hr=1234,ho=1234,br=1234,hed,env,hon,mid,frm,bho,rbl,abo,pip,for,mmx,net,msgid=<1234@1234.gov>
EOF
cd ..; $PROG -Ddb -X${TEMPDB1},${TEMPDB2} \
	> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "	"$0:"		"OK
	rm $TEMPPAT $TEMPOUT
	rm $TEMPDB1 $TEMPDB2
	exit 0
fi
echo "	"$0:"		"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
rm $TEMPDB1 $TEMPDB2
exit 1
